Subject: Error: "You have some suspicious patch lines"

From: Ben Aurel <[email-masked]>
Date: Tue, 22 Jul 2008 09:16:44 +0200

hi

I working on mac os x 10.5.4 (intel) with git version 1.5.5.3 and I 
always get this message for most of my perl scripts and also for 
"Makefile.pre" files:

----------- Message ---------------
* You have some suspicious patch lines:
*
* In src/scripts/trunk/3rdparty/file_sanity.pl
* trailing whitespace (line 52)
...
------------------------------------------

Editing '.git/hooks/pre-commit' and comment out the following lines 
(around line 58):

--
58            if (/\s$/) {
59                bad_line("trailing whitespace", $_);
60             }
--

I still have this message

----------- Message ---------------
$ git commit .
*
* You have some suspicious patch lines:
*
* In src/scripts/trunk/3rdparty/file_sanity.pl
* indent SP followed by a TAB (line 112)
-----------------------------------------

Editing '.git/hooks/pre-commit' and comment out the following lines
--
 61             if (/^\s* \t/) {
 62                 bad_line("indent SP followed by a TAB", $_);
 63             }
--

And finally "git commit" works again.

The question now is: Is it really necessary to edit the git script 
everytime? Is there a urgent reason why git refuses to commit because of 
"suspicious" lines? Is it really necessary?

Thanks
ben